Bug 1417394 - GTK3 - submenu popup covers menubar in wayland
Summary: GTK3 - submenu popup covers menubar in wayland
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2017-01-28 17:22 UTC by Jeremy Newton
Modified: 2017-03-01 21:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-01 21:16:17 UTC


Attachments (Terms of Use)

Description Jeremy Newton 2017-01-28 17:22:02 UTC
I've noticed this bug today; it seems like both 3.0.2-32 and the rawhide snapshot version seem to have the same issue. This is pretty reproducible in filezilla, but I've noticed it affects multiple wx applications.

Clicking on a menubar entry such as File or Edit or View in filezilla pops up a submenu but instead of being below the entry, it covers it up. This can be compared with running it in X or xwayland (running "GDK_BACKEND=x11 filezilla"), in which it displays correctly below the entry.

I can take a screenshot if it helps, but it's pretty obvious after comparing the two issues.

I took a look through the commits and tickets but I don't see any mention of this issue, so I don't think there's anything to backport.

I made a ticket upstream (awaiting moderation), but I would like to keep it here too for tracking purposes.

Comment 1 Jeremy Newton 2017-01-28 17:34:58 UTC
Done:
http://trac.wxwidgets.org/ticket/17789

Comment 2 Scott Talbert 2017-01-28 21:47:23 UTC
Weird.  I don't see this on F25 at least.  Can you take a screenshot?  I wonder if perhaps some recent update broke this?  I could be a couple weeks behind on updates.

Comment 3 Jeremy Newton 2017-01-31 04:42:53 UTC
I've looked into this, this is a bug with GTK3 it seems; I can repro the issue with gnome-terminal.

Unfortunately I can't get a screenshot as the menu doesn't show up in

Comment 4 Jeremy Newton 2017-01-31 04:44:27 UTC
Sorry, my last comment got cut off:

Unfortunately I can't get a screenshot as the menu doesn't show up in the picture using the snapshot tool I'm using. If you have any other suggestion, please let me know.

Comment 5 Jeremy Newton 2017-02-13 03:47:01 UTC
Upstream bug report, seems to be fixed in the gtk 3.22 git, but I have yet to test it:
https://bugzilla.gnome.org/show_bug.cgi?id=778009

I'm assuming it'll be fixed in 3.22.8, whenever that lands.

Comment 6 Fedora End Of Life 2017-02-28 11:07:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 Jeremy Newton 2017-03-01 21:16:17 UTC
This seems to be fixed in gtk 3.22.8, which landed in stable a little while ago.

Closing as fixed.


Note You need to log in before you can comment on or make changes to this bug.